%define _python_bytecompile_errors_terminate_build 0

Name:          bakefile
Version:       0.2.13
Release:       %mkrel 1
Summary:       Cross-platform makefiles generator
License:       MIT
Group:         Development/Tools
URL:           https://www.bakefile.org/
Source0:       https://github.com/vslavik/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:        bakefile-0.2.9-datadir-location.patch
Patch1:        bakefile-py3-wip.patch
BuildRequires: pkgconfig(python3)
BuildRequires: python3-devel
BuildRequires: swig

%description
Bakefile is a makefiles generator that generates native makefiles for
many Unix and Windows compilers.

%prep
%setup -q
%autopatch -p1

# make automake happy
touch ChangeLog

%build
autoreconf -vfi
pushd src
  swig -python bkl_c.i
popd
%configure2_5x \
	--enable-maintainer-mode \
        --libdir=%{python3_sitelib}

%make_build -j1

%install
%make_install

# python shebangs
%py3_shebang_fix %{buildroot}%{python3_sitelib}/bakefile

%files
%{_bindir}/*
%{_datadir}/bakefile/
%{python3_sitelib}/bakefile/
%{_datadir}/aclocal/*.m4
%{_mandir}/man?/*


%changelog
* Tue Feb 13 2024 tex - 0.2.13-1pclos2024
- new version
